import { useState } from 'react';
import { PlaceFormState, placeTypes } from '../view/protocol';

const initialPlaceFormState: PlaceFormState = {
  placeTypes: placeTypes.continent,
  placeName: '',
  parentId: '',
};

const useCreatePlaceVm = () => {
  const [formState, setFormState] = useState<PlaceFormState>(initialPlaceFormState);

  const handleNameSetState = (_name: string, newValue: string) =>
    setFormState((prev) => ({ ...prev, placeName: newValue }));

  return {
    formStateData: {
      formState,
      setFormState,
    },
    handleNameSetState,
  };
};

export default useCreatePlaceVm;
